Update processing activity
curl --request POST \
--url https://databunkerpro.myorg.com/v2/ProcessingActivityUpdate \
--header 'Content-Type: application/json' \
--header 'X-Bunker-Token: <api-key>' \
--data '
{
"activity": "<string>",
"newactivity": "<string>",
"title": "<string>",
"script": "<string>",
"fulldesc": "<string>",
"applicableto": "<string>",
"request_metadata": {}
}
'import requests
url = "https://databunkerpro.myorg.com/v2/ProcessingActivityUpdate"
payload = {
"activity": "<string>",
"newactivity": "<string>",
"title": "<string>",
"script": "<string>",
"fulldesc": "<string>",
"applicableto": "<string>",
"request_metadata": {}
}
headers = {
"X-Bunker-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Bunker-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activity: '<string>',
newactivity: '<string>',
title: '<string>',
script: '<string>',
fulldesc: '<string>',
applicableto: '<string>',
request_metadata: {}
})
};
fetch('https://databunkerpro.myorg.com/v2/ProcessingActivityUpdate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"status": "error",
"message": "Missing API request parameters: profile"
}{
"status": "error",
"message": "Access denied"
}{
"status": "error",
"message": "The user record was not found"
}{
"status": "error",
"message": "Internal error"
}Processing Activity Management
Update processing activity
Updates an existing processing activity
POST
/
v2
/
ProcessingActivityUpdate
Update processing activity
Authorizations
API token for authentication
Body
application/json
Current identifier for the processing activity
New identifier for the processing activity
Title of the processing activity
Script or description of the activity
Full description of the processing activity
Who this activity applies to
Additional metadata for the request
Response
Processing activity updated successfully
Example:
"ok"
⌘I